# -*- rpm-spec -*-
# $Id: multisync,v 1.17 2004/02/25 15:51:33 grigory Exp $

Name: multisync
Version: 0.81
Release: alt1.1

Summary: A calendar (and other PIM data) synchronization program
License: GPL
Group: Communications
Url: http://multisync.sourceforge.net

Source0: %name-%version.tar.bz2

# Automatically added by buildreq on Wed Oct 22 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bluez-sdp-devel esound-devel fontconfig freetype2 glib-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbluez-devel libbonobo2-devel libbonoboui-devel libcurl-devel libexpat-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libkrb5 libldap-devel libopenobex-devel-static libpango-devel libpopt-devel libsasl2-devel libssl-devel libxml2-devel pkgconfig zlib-devel

BuildRequires: automake_1.6
%set_automake_version 1.6

%package devel
Summary: multisync devel files
Group: Communications
Requires: %name = %version-%release

%package backup
Summary: A backup plugin for MultiSync
Group: Communications
Requires: %name = %version-%release

#%package evolution
#Summary: Evolution plugin for multisync
#Group: Communications
#Requires: %name = %version-%release

%package irmc
Summary: A IrMC (SonyEricsson T39/T68i, Siemens S45i/S55) plugin for MultiSync
Group: Communications
Requires: %name = %version-%release

%package ldap
Summary: This is a attemt to create a plugin that will synchronize addressbook entries against a LDAP server
Group: Communications
Requires: %name = %version-%release

%package opie
Summary: Opie/Zaurus Synchronization Plugin for MultiSync
Group: Communications
Requires: %name = %version-%release

%package syncml
Summary: SyncML plugin for multisync
Group: Communications
Requires: %name = %version-%release

%description
MultiSync is a program to synchronize calendars, addressbooks
and other PIM data between programs on your computer and other
computers, mobile devices, PDAs or cell phones. Currently it
has client plugins for Ximian Evolution and IrMC mobile clients
(cell phones such as SonyEricsson T39/T68 and Siemens S45i)
via Bluetooth, IR and cable.

%description devel
Multisync devel files

%description backup
This is a MultiSync plugin which backs up your calendar/phonebook/etc data.

#%description evolution
#Evolution plugin for multisync

%description irmc
This is a MultiSync plugin for IrMC mobile clients (cell phones
such as SonyEricsson T39/T68 and Siemens S45i/S55) connected via
Bluetooth, IR or cable.

%description ldap
This is a attemt to create a plugin that will synchronize addressbook entries against a LDAP
server.
This plugin is design to be used with Evolution

%description opie
This is a testing release of the Opie/Zaurus plugin for Multisync. Please
read http://multisync.sourceforge.net/opie_sync/testing.html for
instructions on compiling and testing.

%description syncml
SyncML plugin for multisync


%prep
%setup -q
find . -type f | xargs %__subst 's|openobex/\(obex\.h\)|\1|g'

%build
#,evolution_sync
for i in ./ ./plugins/{backup_plugin,irmc_sync,ldap_plugin,opie_sync,syncml_plugin}; do
	pushd $i
		./configure --prefix=%_prefix
	popd
done
#,evolution_sync
for i in ./ ./plugins/{backup_plugin,irmc_sync,ldap_plugin,opie_sync,syncml_plugin}; do
	TOPDIR=`pwd`
	pushd $i
		%__make MULTISYNC_HOME="$TOPDIR/include"
	popd
done

%install
#,evolution_sync
for i in ./ ./plugins/{backup_plugin,irmc_sync,ldap_plugin,opie_sync,syncml_plugin}; do
	pushd $i
		%make_install prefix=%buildroot%_prefix install
	popd
done

%files
%doc ABOUT-NLS INSTALL README
%dir %_libdir/%name
%_bindir/*
%_datadir/%name

%files devel
%dir %_includedir/%name/*

%files backup
%_libdir/%name/libbackup*

#%files evolution

%files irmc
%_libdir/%name/libirmc*

%files ldap
%_libdir/%name/libldap*

%files opie
%_libdir/%name/libopie*

%files syncml
%_libdir/%name/libsyncml*

%changelog
* Wed May 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.81-alt1.1
- Rebuilt with openssl-0.9.7d.

* Wed Feb 25 2004 Grigory Milev <week@altlinux.ru> 0.81-alt1
- new version released

* Wed Oct 22 2003 Grigory Milev <week@altlinux.ru> 0.80-alt1
- new veriso released
- added new plugins
- fix build requires

* Thu Apr 17 2003 Grigory Milev <week@altlinux.ru> 0.72-alt1
- Initial build.



